Checkio API
post/{tenantId}/v1/billing/topups

Manual top-up

Requires Authentication
Billing
Payments

Charges the supplied payment method for net + VAT. The idempotency

key MUST be unique per logical operation; reusing it returns the

original transaction unchanged.

Path Parameters

NameTypeDescription
tenantId
required
string (uuid)Tenant UUID

Request Body

required
paymentMethodId
string (uuid)
required
netAmount
integer (int64)
required
- Net amount (ex-VAT) in pence. Minimum £10 = 1000.
idempotencyKey
string (uuid)
required
description
string

Responses

Top-up created

Response Bodyapplication/json
transactionId
string (uuid)
status
string
enum: "succeeded" | "requires_action" | "pending_external" | "failed"
providerIntentId
string
requiresActionUrl
string
failureCode
string
failureMessage
string

Code Examples

curl -X POST 'https://api-next.checkio.co.uk/{tenantId}/v1/billing/topups' \
  -H 'Authorization: Bearer {token}' \
  -H 'Content-Type: application/json' \
  -d '{
  "paymentMethodId": "00000000-0000-0000-0000-000000000000",
  "netAmount": 0,
  "idempotencyKey": "00000000-0000-0000-0000-000000000000",
  "description": "string"
}'